libebook::XMLTreeWalker::Iterator Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
libebook::XMLTreeWalker::Iterator Class Reference

`#include <XMLTreeWalker.h>`

## Public Member Functions
Iterator & | operator++ ()
const Iterator | operator++ (int)
const XMLTreeWalker & | operator* () const
const XMLTreeWalker * | operator-> () const
bool | operator== (const XMLTreeWalker::Iterator &rhs) const

## Private Member Functions
| Iterator (const XMLTreeNodePtr_t &node, TokenizerFun_t tok)

## Private Attributes
XMLTreeNodePtr_t | m_node
XMLTreeWalker | m_current
TokenizerFun_t | m_tok

## Friends
class | XMLTreeWalker

## Constructor & Destructor Documentation

## ◆ Iterator()

libebook::XMLTreeWalker::Iterator::Iterator | ( | const XMLTreeNodePtr_t & | node,
|  | TokenizerFun_t | tok )
| private

Referenced by operator++(), and XMLTreeWalker.

## Member Function Documentation

## ◆ operator*()

const XMLTreeWalker & libebook::XMLTreeWalker::Iterator::operator* | ( |  | ) | const

## ◆ operator++() [1/2]

XMLTreeWalker::Iterator & libebook::XMLTreeWalker::Iterator::operator++ | ( |  | ) |

## ◆ operator++() [2/2]

const XMLTreeWalker::Iterator libebook::XMLTreeWalker::Iterator::operator++ | ( | int |  | ) |

## ◆ operator->()

const XMLTreeWalker * libebook::XMLTreeWalker::Iterator::operator-> | ( |  | ) | const

## ◆ operator==()

bool libebook::XMLTreeWalker::Iterator::operator== | ( | const XMLTreeWalker::Iterator & | rhs | ) | const

## Friends And Related Symbol Documentation

## ◆ XMLTreeWalker

friend class XMLTreeWalker
| friend

Referenced by operator*(), operator->(), and XMLTreeWalker.

## Member Data Documentation

## ◆ m_current

XMLTreeWalker libebook::XMLTreeWalker::Iterator::m_current
| private

Referenced by Iterator(), operator*(), operator++(), and operator->().

## ◆ m_node

XMLTreeNodePtr_t libebook::XMLTreeWalker::Iterator::m_node
| private

Referenced by Iterator(), operator*(), operator++(), operator->(), and operator==().

## ◆ m_tok

TokenizerFun_t libebook::XMLTreeWalker::Iterator::m_tok
| private

Referenced by Iterator(), and operator++().

The documentation for this class was generated from the following files:

- XMLTreeWalker.h
- XMLTreeWalker.cpp